## hubble 0.12.0

=== Makefile ===
GO := go
GO_BUILD = CGO_ENABLED=0 $(GO) build
INSTALL = $(QUIET)install
BINDIR ?= /usr/local/bin
TARGET=hubble
VERSION=$(shell cat VERSION)
# homebrew uses the github release's tarball of the source that does not contain the '.git' directory.
GIT_BRANCH = $(shell command -v git >/dev/null 2>&1 && git rev-parse --abbrev-ref HEAD 2> /dev/null)
GIT_HASH = $(shell command -v git >/dev/null 2>&1 && git rev-parse --short HEAD 2> /dev/null)
GO_TAGS ?=
IMAGE_REPOSITORY ?= quay.io/cilium/hubble
IMAGE_TAG ?= $(if $(findstring -dev,$(VERSION)),latest,v$(VERSION))
CONTAINER_ENGINE ?= docker
RELEASE_UID ?= $(shell id -u)
RELEASE_GID ?= $(shell id -g)

TEST_TIMEOUT ?= 5s

# renovate: datasource=docker depName=golangci/golangci-lint
GOLANGCILINT_WANT_VERSION = v1.53.3
GOLANGCILINT_IMAGE_SHA = sha256:1e0e2867b387bf68762427db499a963e43582b06819992db205fc31daa75ceea
GOLANGCILINT_VERSION = $(shell golangci-lint version 2>/dev/null)

# renovate: datasource=docker depName=library/golang
GOLANG_IMAGE_VERSION = 1.20.5-alpine3.18
GOLANG_IMAGE_SHA = sha256:fd9d9d7194ec40a9a6ae89fcaef3e47c47de7746dd5848ab5343695dbbd09f8c

all: hubble

hubble:
	$(GO_BUILD) $(if $(GO_TAGS),-tags $(GO_TAGS)) -ldflags "-w -s -X 'github.com/cilium/hubble/pkg.GitBranch=${GIT_BRANCH}' -X 'github.com/cilium/hubble/pkg.GitHash=$(GIT_HASH)' -X 'github.com/cilium/hubble/pkg.Version=${VERSION}'" -o $(TARGET)

release:
	$(CONTAINER_ENGINE) run --rm --workdir /hubble --volume `pwd`:/hubble docker.io/library/golang:$(GOLANG_IMAGE_VERSION)@$(GOLANG_IMAGE_SHA) \
		sh -c "apk add --no-cache setpriv make git && \
			/usr/bin/setpriv --reuid=$(RELEASE_UID) --regid=$(RELEASE_GID) --clear-groups make GOCACHE=/tmp/gocache local-release"

local-release: clean
	set -o errexit; \
	for OS in darwin linux windows; do \
		EXT=; \
		ARCHS=; \
		case $$OS in \
			darwin) \
				ARCHS='amd64 arm64'; \
				;; \
			linux) \
				ARCHS='386 amd64 arm arm64'; \
				;; \
			windows) \
				ARCHS='386 amd64 arm64'; \
				EXT=".exe"; \
				;; \
		esac; \
		for ARCH in $$ARCHS; do \
			echo Building release binary for $$OS/$$ARCH...; \
			test -d release/$$OS/$$ARCH|| mkdir -p release/$$OS/$$ARCH; \
			env GOOS=$$OS GOARCH=$$ARCH $(GO_BUILD) $(if $(GO_TAGS),-tags $(GO_TAGS)) -ldflags "-w -s -X 'github.com/cilium/hubble/pkg.Version=${VERSION}'" -o release/$$OS/$$ARCH/$(TARGET)$$EXT; \
			tar -czf release/$(TARGET)-$$OS-$$ARCH.tar.gz -C release/$$OS/$$ARCH $(TARGET)$$EXT; \
			(cd release && sha256sum $(TARGET)-$$OS-$$ARCH.tar.gz > $(TARGET)-$$OS-$$ARCH.tar.gz.sha256sum); \
		done; \
		rm -r release/$$OS; \
	done;

install: hubble
	$(INSTALL) -m 0755 -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 0755 ./hubble $(DESTDIR)$(BINDIR)

clean:
	rm -f $(TARGET)
	rm -rf ./release

test:
	$(GO) test -timeout=$(TEST_TIMEOUT) -race -cover $$($(GO) list ./...)

bench:
	$(GO) test -timeout=30s -bench=. $$($(GO) list ./...)

ifneq (,$(findstring $(GOLANGCILINT_WANT_VERSION:v%=%),$(GOLANGCILINT_VERSION)))
check:
	golangci-lint run
else
check:
	$(CONTAINER_ENGINE) run --rm -v `pwd`:/app -w /app docker.io/golangci/golangci-lint:$(GOLANGCILINT_WANT_VERSION)@$(GOLANGCILINT_IMAGE_SHA) golangci-lint run
endif

image:
	$(CONTAINER_ENGINE) build $(DOCKER_FLAGS) -t $(IMAGE_REPOSITORY)$(if $(IMAGE_TAG),:$(IMAGE_TAG)) .

.PHONY: all hubble release install clean test bench check image

=== debian/changelog ===
hubble (0.12.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:43:46 +0200

hubble (0.12.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.12.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Jul 2023 16:21:30 +0200

hubble (0.11.6-0kali1) kali-dev; urgency=medium

  * New upstream version 0.11.6

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Jun 2023 15:30:07 +0200

hubble (0.11.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.11.5

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 May 2023 14:24:03 +0200

hubble (0.11.4-0kali1) kali-dev; urgency=medium

  * New upstream version 0.11.4

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Apr 2023 14:11:00 +0200

hubble (0.11.3-0kali2) kali-dev; urgency=medium

  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Add documentation
  * Fix build-dep

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Apr 2023 11:25:44 +0200

hubble (0.11.3-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Apr 2023 16:16:16 +0200

=== debian/control ===
Source: hubble
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
		       bash-completion,
		       ca-certificates,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-google-go-cmp-dev,
		       golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cast-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.2
Homepage: https://github.com/cilium/hubble
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cilium/hubble

Package: hubble
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Network, Service & Security Observability for Kubernetes using eBPF (program)
 Hubble is a fully distributed networking and security observability
 platform for cloud native workloads. It is built on top of Cilium
 (https://github.com/cilium/cilium) and eBPF (https://ebpf.io) to enable
 deep visibility into the communication and behavior of services as well
 as the networking infrastructure in a completely transparent manner.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build
export GOPROXY=off


%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=bash-completion

override_dh_auto_install:
	dh_auto_install -- --no-source

	#generate completion files
	$(CURDIR)/debian/hubble/usr/bin/hubble completion bash >$(CURDIR)/debian/hubble.bash
	$(CURDIR)/debian/hubble/usr/bin/hubble completion zsh >$(CURDIR)/debian/_hubble

override_dh_dwz:

execute_before_dh_auto_test:
	cp cmd/observe_help.txt _build/src/github.com/cilium/hubble/cmd/observe_help.txt

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/hubble/usr/share/doc/hubble/grpc
	cp vendor/google.golang.org/grpc/NOTICE.txt debian/hubble/usr/share/doc/hubble/grpc
	mkdir -p debian/hubble/usr/share/doc/hubble/yaml.v2
	cp vendor/gopkg.in/yaml.v2/NOTICE debian/hubble/usr/share/doc/hubble/yaml.v2
	mkdir -p debian/hubble/usr/share/doc/hubble/yaml.v3
	cp vendor/gopkg.in/yaml.v3/NOTICE debian/hubble/usr/share/doc/hubble/yaml.v3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/ "
  https://github.com/cilium/hubble/tags .*/v?(\d\S*)\.tar\.gz debian

## hubble 1.17.5

=== debian/changelog ===
hubble (1.17.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.17.5
  * Bump Standards-Version to 4.7.2 (no change)
  * Add missing Static-Built-Using

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 24 Jun 2025 15:20:32 +0200

hubble (1.17.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.17.3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 May 2025 16:33:54 +0200

hubble (1.17.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.17.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Apr 2025 17:19:33 +0200

hubble (1.17.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.17.1
  * debian/rules: Fix installation

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Mar 2025 15:36:30 +0200

hubble (1.16.6-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.6

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2025 13:25:59 +0100

hubble (1.16.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.5

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Jan 2025 17:23:37 +0100

hubble (1.16.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.2
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Oct 2024 17:32:14 +0200

hubble (1.16.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Sep 2024 16:22:07 +0200

hubble (1.16.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.0
  * Update debian/rules for new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Aug 2024 11:36:38 +0200

hubble (0.13.4-0kali1) kali-dev; urgency=medium

  * Update debian/watch (do not consider pre release)
  * New upstream version 0.13.4
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 May 2024 15:16:37 +0200

hubble (0.13.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.13.2

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Mar 2024 16:25:53 +0100

hubble (0.13.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.13.0
  * Update d/rules

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jan 2024 15:34:02 +0100

hubble (0.12.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.12.3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Dec 2023 14:13:16 +0100

hubble (0.12.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.12.2

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Oct 2023 16:58:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: hubble
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-		       bash-completion,
-		       ca-certificates,
+	       bash-completion,
+	       ca-certificates,
                golang-any,
                golang-github-fatih-color-dev,
                golang-github-google-go-cmp-dev,
-		       golang-github-sirupsen-logrus-dev,
+	       golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
@@ -20,7 +20,9 @@
                golang-google-grpc-dev,
                golang-google-protobuf-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/hubble
+Vcs-Git: https://gitlab.com/kalilinux/packages/hubble.git
 Homepage: https://github.com/cilium/hubble
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/cilium/hubble
@@ -30,6 +32,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Network, Service & Security Observability for Kubernetes using eBPF (program)
  Hubble is a fully distributed networking and security observability
  platform for cloud native workloads. It is built on top of Cilium

=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,15 @@
 
 override_dh_dwz:
 
-execute_before_dh_auto_test:
-	cp cmd/observe_help.txt _build/src/github.com/cilium/hubble/cmd/observe_help.txt
-
 override_dh_installdocs:
 	dh_installdocs
 	mkdir -p debian/hubble/usr/share/doc/hubble/grpc
 	cp vendor/google.golang.org/grpc/NOTICE.txt debian/hubble/usr/share/doc/hubble/grpc
-	mkdir -p debian/hubble/usr/share/doc/hubble/yaml.v2
-	cp vendor/gopkg.in/yaml.v2/NOTICE debian/hubble/usr/share/doc/hubble/yaml.v2
 	mkdir -p debian/hubble/usr/share/doc/hubble/yaml.v3
 	cp vendor/gopkg.in/yaml.v3/NOTICE debian/hubble/usr/share/doc/hubble/yaml.v3
+
+execute_before_dh_auto_build:
+	cp vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb _build/src/github.com/cilium/hubble/vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
+	cp -r vendor/github.com/go-openapi/spec/schemas _build/src/github.com/cilium/hubble/vendor/github.com/go-openapi/spec/
+	mkdir -p _build/src/github.com/cilium/cilium/pkg/metrics
+	cp -r vendor/github.com/cilium/cilium/pkg/metrics _build/src/github.com/cilium/hubble/vendor/github.com/cilium/cilium/pkg/

## hubble 1.18.0

=== Makefile ===
GO := go
GO_BUILD_FLAGS =
GO_TEST_FLAGS =
GO_BUILD = CGO_ENABLED=0 $(GO) build $(GO_BUILD_FLAGS)
GO_TEST = $(GO) test $(GO_TEST_FLAGS) -timeout=$(TEST_TIMEOUT)
INSTALL = $(QUIET)install
BINDIR ?= /usr/local/bin
SUBDIRS_HUBBLE_CLI := .
TARGET=hubble
VERSION=$(shell go list -f {{.Version}} -m github.com/cilium/cilium)
# homebrew uses the github release's tarball of the source that does not contain the '.git' directory.
GIT_BRANCH = $(shell command -v git >/dev/null 2>&1 && git rev-parse --abbrev-ref HEAD 2> /dev/null)
GIT_HASH = $(shell command -v git >/dev/null 2>&1 && git rev-parse --short HEAD 2> /dev/null)
GO_TAGS ?=
IMAGE_REPOSITORY ?= quay.io/cilium/hubble
IMAGE_TAG ?= $(if $(findstring -dev,$(VERSION)),latest,v$(VERSION))
CONTAINER_ENGINE ?= docker
RELEASE_UID ?= $(shell id -u)
RELEASE_GID ?= $(shell id -g)

RENOVATE_GITHUB_USER ?= renovate
RENOVATE_GITHUB_COM_TOKEN ?= $(shell gh auth token)

TEST_TIMEOUT ?= 5s

# renovate: datasource=docker depName=library/golang
GOLANG_IMAGE_VERSION = 1.24.5-alpine
GOLANG_IMAGE_SHA = sha256:daae04ebad0c21149979cd8e9db38f565ecefd8547cf4a591240dc1972cf1399

# Add the ability to override variables
-include Makefile.override

all: hubble

hubble:
	$(MAKE) -C $(SUBDIRS_HUBBLE_CLI) hubble-bin

hubble-bin:
	$(GO_BUILD) $(if $(GO_TAGS),-tags $(GO_TAGS)) -ldflags "-w -s -X 'github.com/cilium/cilium/hubble/pkg.GitBranch=${GIT_BRANCH}' -X 'github.com/cilium/cilium/hubble/pkg.GitHash=$(GIT_HASH)' -X 'github.com/cilium/cilium/hubble/pkg.Version=${VERSION}'" -o $(TARGET) $(SUBDIRS_HUBBLE_CLI)

release:
	$(CONTAINER_ENGINE) run --rm --workdir /hubble --volume `pwd`:/hubble docker.io/library/golang:$(GOLANG_IMAGE_VERSION)@$(GOLANG_IMAGE_SHA) \
		sh -c "apk add --no-cache setpriv make git && \
			/bin/setpriv --reuid=$(RELEASE_UID) --regid=$(RELEASE_GID) --clear-groups make GOCACHE=/tmp/gocache local-release"

local-release: clean
	set -o errexit; \
	for OS in darwin linux windows; do \
		EXT=; \
		ARCHS=; \
		case $$OS in \
			darwin) \
				ARCHS='amd64 arm64'; \
				;; \
			linux) \
				ARCHS='amd64 arm64'; \
				;; \
			windows) \
				ARCHS='amd64 arm64'; \
				EXT=".exe"; \
				;; \
		esac; \
		for ARCH in $$ARCHS; do \
			echo Building release binary for $$OS/$$ARCH...; \
			test -d release/$$OS/$$ARCH|| mkdir -p release/$$OS/$$ARCH; \
			GOOS=$$OS GOARCH=$$ARCH $(MAKE) hubble; \
			mv $(TARGET) release/$$OS/$$ARCH/$(TARGET)$$EXT; \
			tar -czf release/$(TARGET)-$$OS-$$ARCH.tar.gz -C release/$$OS/$$ARCH $(TARGET)$$EXT; \
			(cd release && sha256sum $(TARGET)-$$OS-$$ARCH.tar.gz > $(TARGET)-$$OS-$$ARCH.tar.gz.sha256sum); \
		done; \
		rm -r release/$$OS; \
	done;

install: hubble
	$(INSTALL) -m 0755 -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 0755 ./hubble $(DESTDIR)$(BINDIR)

clean:
	rm -f $(TARGET)
	rm -rf ./release

test:
	$(GO_TEST) -race -cover $$($(GO) list ./...)

bench: TEST_TIMEOUT=30s
bench:
	$(GO_TEST) -bench=. $$($(GO) list ./...)

image:
	$(CONTAINER_ENGINE) build $(DOCKER_FLAGS) -t $(IMAGE_REPOSITORY)$(if $(IMAGE_TAG),:$(IMAGE_TAG)) .

renovate-local:
	@echo "Running renovate --platform=local"
	@docker run --rm -ti -e LOG_LEVEL=debug -e GITHUB_COM_TOKEN="$(RENOVATE_GITHUB_COM_TOKEN)" -v /tmp:/tmp -v $(PWD):/usr/src/app docker.io/renovate/renovate:full renovate --platform=local | tee renovate.log

.PHONY: all hubble release install clean test bench check image renovate-local

=== debian/changelog ===
hubble (1.18.0-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 1.18.0

 -- Sophie Brun <sophie@kali.org>  Tue, 12 Aug 2025 15:18:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: golang
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
 	       bash-completion,

=== debian/rules ===
--- 
+++ 
@@ -28,5 +28,5 @@
 execute_before_dh_auto_build:
 	cp vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb _build/src/github.com/cilium/hubble/vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
 	cp -r vendor/github.com/go-openapi/spec/schemas _build/src/github.com/cilium/hubble/vendor/github.com/go-openapi/spec/
-	mkdir -p _build/src/github.com/cilium/cilium/pkg/metrics
-	cp -r vendor/github.com/cilium/cilium/pkg/metrics _build/src/github.com/cilium/hubble/vendor/github.com/cilium/cilium/pkg/
+	mkdir -p _build/src/github.com/cilium/hubble/vendor/github.com/google/cel-go/cel/templates/
+	cp vendor/github.com/google/cel-go/cel/templates/authoring.tmpl _build/src/github.com/cilium/hubble/vendor/github.com/google/cel-go/cel/templates/

=== debian/tests/control ===
Test-Command: hubble help
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/ "
  https://github.com/cilium/hubble/tags .*/v?(\d[\d.]*)\.tar\.gz debian

## hubble 1.18.5

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,8 @@
 TEST_TIMEOUT ?= 5s
 
 # renovate: datasource=docker depName=library/golang
-GOLANG_IMAGE_VERSION = 1.24.5-alpine
-GOLANG_IMAGE_SHA = sha256:daae04ebad0c21149979cd8e9db38f565ecefd8547cf4a591240dc1972cf1399
+GOLANG_IMAGE_VERSION = 1.25.5-alpine
+GOLANG_IMAGE_SHA = sha256:ac09a5f469f307e5da71e766b0bd59c9c49ea460a528cc3e6686513d64a6f1fb
 
 # Add the ability to override variables
 -include Makefile.override

=== debian/changelog ===
hubble (1.18.5-0parrot1) echo; urgency=medium

  * Import release 1.18.5

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 18 Jan 2026 05:27:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: hubble
 Section: golang
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@kali.org>
+Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-	       bash-completion,
-	       ca-certificates,
+		       bash-completion,
+		       ca-certificates,
                golang-any,
                golang-github-fatih-color-dev,
                golang-github-google-go-cmp-dev,
-	       golang-github-sirupsen-logrus-dev,
+	    	   golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
@@ -21,10 +21,7 @@
                golang-google-protobuf-dev,
                golang-yaml.v2-dev
 Standards-Version: 4.7.2
-Vcs-Browser: https://gitlab.com/kalilinux/packages/hubble
-Vcs-Git: https://gitlab.com/kalilinux/packages/hubble.git
 Homepage: https://github.com/cilium/hubble
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/cilium/hubble
 
 Package: hubble
